apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
  namespace: __CI_ENVIRONMENT_SLUG__
  annotations:
    # letsencrypt support enabled (github.com/jetstack/kube-lego)
    kubernetes.io/tls-acme: "true"
    # use the Kubernetes ingress "nginx"
    kubernetes.io/ingress.class: "nginx"
spec:
 rules:
  - host: __CI_ENVIRONMENT_SLUG__.lendingkart.com
    http:
      paths:
      - path: /__URL_PATTERN__/actuator/
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: __MANAGEMENT_PORT__               
      - path: "/osv"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/cis/webhook/ds"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v2/finpro/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/finpro/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80              
      - path: "/rcu/webhook/sherlock"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/mixpanel-webhook"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/msg91"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/perfios"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v3/perfios"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v3/perfios/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80 
      - path: "/v3/finpro/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80   
      - path: "/v1/survey-monkey"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/webhooks/"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/whatsapp/"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/partner/perfios-callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/webhooks/razorpay/v1/partner-payment/update"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80  

  - host: uat10.lendingkart.com
    http:
      paths:
      - path: /__URL_PATTERN__/actuator/
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: __MANAGEMENT_PORT__               
      - path: "/osv"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/cis/webhook/ds"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v2/finpro/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/finpro/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80              
      - path: "/rcu/webhook/sherlock"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/mixpanel-webhook"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/msg91"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/perfios"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v3/perfios"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v3/perfios/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80 
      - path: "/v3/finpro/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80   
      - path: "/v1/survey-monkey"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/webhooks/"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/whatsapp/"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/partner/perfios-callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/webhooks/razorpay/v1/partner-payment/update"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80  

  - host: uatnat.lendingkart.com
    http:
      paths:
      - path: /__URL_PATTERN__/actuator/
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: __MANAGEMENT_PORT__               
      - path: "/osv"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/cis/webhook/ds"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v2/finpro/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/finpro/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80              
      - path: "/rcu/webhook/sherlock"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/mixpanel-webhook"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/msg91"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/perfios"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v3/perfios"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v3/perfios/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80 
      - path: "/v3/finpro/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80   
      - path: "/v1/survey-monkey"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/webhooks/"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/whatsapp/"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/partner/perfios-callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/webhooks/razorpay/v1/partner-payment/update"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80

  - host: __K8S_I_ROUTE__
    http:
      paths:
      - path: /__URL_PATTERN__/actuator/
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: __MANAGEMENT_PORT__               
      - path: "/osv"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/cis/webhook/ds"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v2/finpro/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/finpro/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80              
      - path: "/rcu/webhook/sherlock"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/mixpanel-webhook"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/msg91"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/perfios"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v3/perfios"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v3/perfios/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80 
      - path: "/v3/finpro/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80   
      - path: "/v1/survey-monkey"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/webhooks/"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/whatsapp/"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/partner/perfios-callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/webhooks/razorpay/v1/partner-payment/update"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80

  - host: __S_S_ROUTE__
    http: 
      paths:
      - path: /__URL_PATTERN__/actuator/
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: __MANAGEMENT_PORT__               
      - path: "/osv"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/cis/webhook/ds"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v2/finpro/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/finpro/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80              
      - path: "/rcu/webhook/sherlock"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/mixpanel-webhook"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/msg91"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/perfios"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v3/perfios"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v3/perfios/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80 
      - path: "/v3/finpro/callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80   
      - path: "/v1/survey-monkey"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/webhooks/"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/whatsapp/"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/v1/partner/perfios-callback"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80
      - path: "/webhooks/razorpay/v1/partner-payment/update"
        backend:
          serviceName: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
          servicePort: 80    
       

 tls:
  - secretName: tls-certificate
    hosts:
    - __CI_ENVIRONMENT_SLUG__.lendingkart.com
    - uat10.lendingkart.com
    - uatnat.lendingkart.com
    - __K8S_I_ROUTE__
    - __S_S_ROUTE__

